<template lang="pug">
  .popup-window
    transition(name="scale-fade")
      .backdrop(
        v-if="shown"
        v-on:click="$emit('close')"
      )
        .wrapper
          .block(v-on:click.stop)
            .close(v-on:click="$emit('close')") &times;
            slot(name='content')
</template>

<script>
export default {
  props: {
    shown: {
      default: false,
      type: Boolean
    }
  }
}
</script>
<style lang="scss" scoped>
  @import '../../assets/css/mixins';
  @import '../../assets/css/effects';

  .popup-window {
    position: relative;
    z-index: 100;

    .backdrop {
      display: flex;
      align-items: center;
      background-color: rgba(0, 0, 0, 0.6);

      .wrapper {
        margin: 0 auto 0 auto;
        max-width: 542px;

        .block {
          position: relative;
          border-radius: 8px;
          padding: 42px 32px 24px;
          background-color: #fff;
          overflow: hidden;
          transition: all 0.3s ease;

          .close {
            width: 40px;
            height: 40px;
            border-radius: 40px;
            position: absolute;
            top: 16px;
            right: 16px;
            color: #979494;
            font-size: 34px;
            line-height: 33px;
            text-align: center;
            cursor: pointer;

            &:hover {
              background-color: #f4f4f4;
              @include delay()
            }
          }
        }
      }
    }
  }
</style>
